Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite
Interface Constants

All Superinterfaces:
  things.common.ThingsConstants

All Known Implementing Classes:
  ChangeContext, Render, RenderStandard

    public interface Constants

extends things.common.ThingsConstants

General constants.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary
`static java.lang.String` | `ERRORED`
`static java.lang.String` | `METAFILE_LOCAL_SUFFIX` If this is the suffix of a metafile, it is a local meta.
`static java.lang.String` | `METAFILE_PREFIX` Any file with this as a prefix is considered a MetaFile.
`static java.lang.String` | `NAME_BASE_FRAME_LOCATION`
`static java.lang.String` | `NAME_CATEGORY`
`static java.lang.String` | `NAME_CATEGORY_COMPLETE`
`static java.lang.String` | `NAME_CATEGORY_COMPLETE_EXISTING`
`static java.lang.String` | `NAME_CLEAR_REASON`
`static java.lang.String` | `NAME_DIRECTORY`
`static java.lang.String` | `NAME_DIRECTORY_DESTINATION`
`static java.lang.String` | `NAME_DIRECTORY_ERROR`
`static java.lang.String` | `NAME_DIRECTORY_FAULT`
`static java.lang.String` | `NAME_DIRECTORY_PANIC`
`static java.lang.String` | `NAME_DIRECTORY_SOURCE`
`static java.lang.String` | `NAME_ERROR`
`static java.lang.String` | `NAME_ERROR__BASE_CAUSE`
`static java.lang.String` | `NAME_ERROR__BASE_NUMERIC`
`static java.lang.String` | `NAME_ERROR__ROOT_CAUSE`
`static java.lang.String` | `NAME_ERROR_NUMBER`
`static java.lang.String` | `NAME_ERROR_NUMBER_ALLOWED`
`static java.lang.String` | `NAME_FAULT_NUMBER`
`static java.lang.String` | `NAME_FAULT_NUMBER_ALLOWED`
`static java.lang.String` | `NAME_FILE`
`static java.lang.String` | `NAME_FILE_DESTINATION`
`static java.lang.String` | `NAME_FILE_ERROR`
`static java.lang.String` | `NAME_FILE_EXCPECTED`
`static java.lang.String` | `NAME_FILE_FAULT`
`static java.lang.String` | `NAME_FILE_PANIC`
`static java.lang.String` | `NAME_FILE_RENDERED`
`static java.lang.String` | `NAME_FILE_SOURCE`
`static java.lang.String` | `NAME_FILTER`
`static java.lang.String` | `NAME_FILTER_TYPE`
`static java.lang.String` | `NAME_FRAME_LOCATION`
`static java.lang.String` | `NAME_LOCALE`
`static java.lang.String` | `NAME_METAFILE`
`static java.lang.String` | `NAME_METAFILE_LOCAL`
`static java.lang.String` | `NAME_REASON`
`static java.lang.String` | `NAME_RENDERER_CLASS`
`static java.lang.String` | `NAME_RENDERER_NAME`
`static java.lang.String` | `RENDSITE_NOTICE`
`static java.lang.String` | `UNKNOWN`

Fields inherited from interface things.common.ThingsConstants
`A_NOBODY, A_NOTHING, AN_UNKNOWN, CHEAP_LINESEPARATOR, CODEC_EQUALITY, CODEC_ESCAPE_CHARACTER, CODEC_PROPERTY_ESCAPE_CHARACTER, CODEC_QUOTING, CODEC_SEPARATOR_CHARACTER, CODEC_SEPARATOR_CHARACTER_ESCAPED, COPYRIGHT_NOTICE, CR, CRLF, DEFAULT_TRANSPORT_CONNECT_RETRIES, DEFAULT_TRANSPORT_CONNECT_RETRY_DELAY, EMPTY_STRING, EPIC_FAIL, FALSE, FS_FILE_DELETE_RETRIES, KERNEL_LOCK_TRY_LIMIT_MILLIS, LF, NEWLINE, PATH_SEPARATOR, PATH_SEPARATOR_STRING, TROOF, TRUE, WAYSA`

Field Detail

### RENDSITE_NOTICE

    static final java.lang.String RENDSITE_NOTICE

See Also:
  Constant Field Values

### ERRORED

    static final java.lang.String ERRORED

See Also:
  Constant Field Values

### UNKNOWN

    static final java.lang.String UNKNOWN

See Also:
  Constant Field Values

### METAFILE_PREFIX

    static final java.lang.String METAFILE_PREFIX

  Any file with this as a prefix is considered a MetaFile.

  See Also:
    Constant Field Values

### METAFILE_LOCAL_SUFFIX

    static final java.lang.String METAFILE_LOCAL_SUFFIX

  If this is the suffix of a metafile, it is a local meta.

  See Also:
    Constant Field Values

### NAME_METAFILE

    static final java.lang.String NAME_METAFILE

See Also:
  Constant Field Values

### NAME_METAFILE_LOCAL

    static final java.lang.String NAME_METAFILE_LOCAL

See Also:
  Constant Field Values

### NAME_FRAME_LOCATION

    static final java.lang.String NAME_FRAME_LOCATION

See Also:
  Constant Field Values

### NAME_BASE_FRAME_LOCATION

    static final java.lang.String NAME_BASE_FRAME_LOCATION

See Also:
  Constant Field Values

### NAME_DIRECTORY

    static final java.lang.String NAME_DIRECTORY

See Also:
  Constant Field Values

### NAME_DIRECTORY_PANIC

    static final java.lang.String NAME_DIRECTORY_PANIC

See Also:
  Constant Field Values

### NAME_DIRECTORY_FAULT

    static final java.lang.String NAME_DIRECTORY_FAULT

See Also:
  Constant Field Values

### NAME_DIRECTORY_ERROR

    static final java.lang.String NAME_DIRECTORY_ERROR

See Also:
  Constant Field Values

### NAME_DIRECTORY_SOURCE

    static final java.lang.String NAME_DIRECTORY_SOURCE

See Also:
  Constant Field Values

### NAME_FILE

    static final java.lang.String NAME_FILE

See Also:
  Constant Field Values

### NAME_FILE_SOURCE

    static final java.lang.String NAME_FILE_SOURCE

See Also:
  Constant Field Values

### NAME_FILE_RENDERED

    static final java.lang.String NAME_FILE_RENDERED

See Also:
  Constant Field Values

### NAME_FILE_EXCPECTED

    static final java.lang.String NAME_FILE_EXCPECTED

See Also:
  Constant Field Values

### NAME_DIRECTORY_DESTINATION

    static final java.lang.String NAME_DIRECTORY_DESTINATION

See Also:
  Constant Field Values

### NAME_FILE_DESTINATION

    static final java.lang.String NAME_FILE_DESTINATION

See Also:
  Constant Field Values

### NAME_FILE_PANIC

    static final java.lang.String NAME_FILE_PANIC

See Also:
  Constant Field Values

### NAME_FILE_FAULT

    static final java.lang.String NAME_FILE_FAULT

See Also:
  Constant Field Values

### NAME_FILE_ERROR

    static final java.lang.String NAME_FILE_ERROR

See Also:
  Constant Field Values

### NAME_RENDERER_NAME

    static final java.lang.String NAME_RENDERER_NAME

See Also:
  Constant Field Values

### NAME_RENDERER_CLASS

    static final java.lang.String NAME_RENDERER_CLASS

See Also:
  Constant Field Values

### NAME_REASON

    static final java.lang.String NAME_REASON

See Also:
  Constant Field Values

### NAME_FILTER

    static final java.lang.String NAME_FILTER

See Also:
  Constant Field Values

### NAME_FILTER_TYPE

    static final java.lang.String NAME_FILTER_TYPE

See Also:
  Constant Field Values

### NAME_ERROR

    static final java.lang.String NAME_ERROR

See Also:
  Constant Field Values

### NAME_CATEGORY

    static final java.lang.String NAME_CATEGORY

See Also:
  Constant Field Values

### NAME_CATEGORY_COMPLETE

    static final java.lang.String NAME_CATEGORY_COMPLETE

See Also:
  Constant Field Values

### NAME_CATEGORY_COMPLETE_EXISTING

    static final java.lang.String NAME_CATEGORY_COMPLETE_EXISTING

See Also:
  Constant Field Values

### NAME_ERROR_NUMBER

    static final java.lang.String NAME_ERROR_NUMBER

See Also:
  Constant Field Values

### NAME_ERROR_NUMBER_ALLOWED

    static final java.lang.String NAME_ERROR_NUMBER_ALLOWED

See Also:
  Constant Field Values

### NAME_FAULT_NUMBER

    static final java.lang.String NAME_FAULT_NUMBER

See Also:
  Constant Field Values

### NAME_FAULT_NUMBER_ALLOWED

    static final java.lang.String NAME_FAULT_NUMBER_ALLOWED

See Also:
  Constant Field Values

### NAME_LOCALE

    static final java.lang.String NAME_LOCALE

See Also:
  Constant Field Values

### NAME_CLEAR_REASON

    static final java.lang.String NAME_CLEAR_REASON

See Also:
  Constant Field Values

### NAME_ERROR__ROOT_CAUSE

    static final java.lang.String NAME_ERROR__ROOT_CAUSE

See Also:
  Constant Field Values

### NAME_ERROR__BASE_CAUSE

    static final java.lang.String NAME_ERROR__BASE_CAUSE

See Also:
  Constant Field Values

### NAME_ERROR__BASE_NUMERIC

    static final java.lang.String NAME_ERROR__BASE_NUMERIC

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.